# short_title.pl - Returns the short title of an entry specified in
# the keywords section, or the regular title.  The title specified in
# the keywords section is in square brackets.  So if your keywords are
# "xml [a title] faq", then "a title" is the short title.  This is
# very useful for creating permalinks.

package MT::Plugin::org::dribin::short_title;

use MT::Template::Context;
use MT::Entry;

MT::Template::Context->add_tag(EntryShortTitle => \&entry_short_title);

sub entry_short_title
{
    my($ctx,$args) = @_;
    my $tag = $ctx->stash('tag');
    my $entry = $ctx->stash('entry');
    return $ctx->error(MT->translate("An entry context is required in [_1]",
				     "<MT$tag>"))
	unless $entry && $entry->id;
    my $full_title = $entry->title;
    my $title = $full_title;
    my $text = $entry->keywords;
    $title = $1 if ((defined $text) and ($text =~ /\[([^\]]+)\]/));
    return $title;
}

1;
